// e & f - blech 2

$fn = 16;

cellRadius = 1.0;

cellSize = 5.0;

layerHeight = 2.0;

pinOffset = 0.15;

use <basics.scad>

blechWidth = 15.0;
blechHeight = 60.0;

module efBlech() {
    difference() {
        translate([0, 0, 0]) cube([blechWidth, blechHeight, layerHeight]);
        translate([cellSize, cellSize, -0.1]) dualYCell(layerHeight + 0.2);
        translate([cellSize, cellSize * 5, -0.1]) dualYCell(layerHeight + 0.2);
        translate([cellSize / 2, cellSize * 3.5, -0.1]) dualXCell(layerHeight + 0.2);
    }
}

module dualYCell(height = layerHeight) {
    hull() {
        translate([0, 0       , 0]) cell(height);
        translate([0, cellSize, 0]) cell(height);
    }
}

module dualXCell(height = layerHeight) {
    hull() {
        translate([0       , 0, 0]) cell(height);
        translate([cellSize, 0, 0]) cell(height);
    }
    
}

efBlech();