// topblech - 3

        
        
$fn = 16;

cellRadius = 1.0;

cellSize = 5.0;

layerHeight = 2.0;

pinOffset = 0.15;

stiftDiameter = 4.5;

use <basics.scad>

blechWidth = cellSize * 8;
blechHeight = cellSize * 6;

module topBlech() {
    difference() {
        translate([-2,-4,0]) {
            hull() {
                translate([0,              0,                0]) cell();
                translate([blechWidth - 1, 0,                0]) cell();
                translate([0,              blechHeight + 2.5, 0]) cell();
                translate([blechWidth - 1, blechHeight + 2.5, 0]) cell();
            }
        }
        // holes for gblech corner pins
        
        
        translate([1,              -1.0,            -0.1]) pin();
        translate([blechWidth - 1, -1.0,            -0.1]) pin();
        translate([1,              blechHeight + 1, -0.1]) pin();
        translate([blechWidth - 1, blechHeight + 1, -0.1]) pin();

        
        // center window
        translate([-cellSize * 0.5, -cellSize * 0.25, 0]) hull() {
            translate([cellSize * 1.0,              1.0,                -0.1]) 
                cell(layerHeight + 0.2);
            translate([cellSize,              blechHeight - 4.0,-0.1]) 
                cell(layerHeight + 0.2);
            translate([blechWidth - cellSize, 1.0,                -0.1]) 
                cell(layerHeight + 0.2);
            translate([blechWidth - cellSize, blechHeight - 4.0, -0.1]) 
                cell(layerHeight + 0.2);
        }
        
    }
}

topBlech();